
import ossl.util as util

def register():
    print("registering: OSSL Types")
    util.imports("ossl.types", "Bone")
    util.imports("ossl.types", "Armature")
    util.imports("ossl.types", "Animation")
    util.imports("ossl.types", "Scene")
    print("registered: OSSL Types")

def unregister():
    print("unregistering: OSSL Types")
    util.release("ossl.types", "Scene")
    util.release("ossl.types", "Animation")
    util.release("ossl.types", "Armature")
    util.release("ossl.types", "Bone")
    print("unregistered: OSSL Types")

if __name__ == "__main__":
    import ossl.util as util
    util.reset_addon()
